# SIMPLE RESPONSIVE JQUERY MOBILE MENU PLUGIN

![ME](https://graph.facebook.com/tetloose/picture?type=large)

## Overview

Simple responsive jQuery Mobile Menu Plugin, takes 2 arguments, menu drop down speed and a call back.


###MarkUp

	<nav>
		<span class="re-order">
			<img src="assets/images/re-order.png" alt="" />
		</span>
		<ul>
			<li><a href="">Web</a></li>
			<li>
				<a href="">Media</a>
				<ul>
					<li>
						<a href="">Videos</a>
						<ul>
							<li><a href="">Video 1</a></li>
							<li><a href="">Video 2</a></li>
						</ul>
					</li>
					<li><a href="">News</a></li>
					<li><a href="">Books</a></li>
				</ul>
			</li>
			<li><a href="">Blogs</a></li>
			<li><a href="">Flights</a></li>
			<li><a href="">Maps</a></li>
			<li><a href="">Shopping</a></li>
			<li>
				<a href="">More</a>
				<ul>
					<li><a href="">Discussions</a></li>
					<li><a href="">Applications</a></li>
					<li>
						<a href="">Patents</a></li>
					<li><a href="">Search tools</a></li>							
				</ul>
			</li>
		</ul>
	</nav>

###SCSS

	.re-order{
		cursor:pointer;
		position:fixed;
		z-index:2;
		background-color:#fff;
		top:12px;
		right:12px;
		width:50px;
		height:auto;
		@media (min-width: 960px){
			display:none;
		}
	}
	
	nav{
		padding:12px;
		a{
			display:block;
			padding:12px;
			color:#fff;
			text-shadow:0 0 3px #a3d5f1;
			font-weight:600;
			text-transform:uppercase;
			background-color:#8dc9ee;
			@include transition-property(background-color);
			@include transition-duration(0.5s);
			@include transition-timing-function(ease);
			&:hover{
			  background:#aad7f2;
			  text-shadow:3px 1px 0px #8dc9ee;
			}
		}
		ul{
			display:none;
			text-align:center;		
			&.open{
				display:block;
			}
			@media (min-width: 960px){
				display:block;
				li{
					display:inline-block;
					position:relative;
					margin-right:-2px;
					margin-left:-2px;
					li{
						display:block;
					}
					&.parent ul{
						display:none;
					}
				}
				ul{
					display:none;
					position:absolute;
					top:100%;
					left:0;
					width:200%;
					text-align:left;
				}
			}
		}
	}

###jQuery
		    
	$("nav ul").menu({
		menuSpeed: 10,	
		callback: function(){}
	});
	
###menu.jquery.js

	(function($){
		$.fn.menu = function(opts){
			var $this = this,
				wi = $(window).width(),
				selector = this.find('li'),
				t,
				subMenu,
				animateMenu = function(elem, duration, callback){
					$(elem).prev('a').toggleClass('hover');
					if (wi >= 960) {
						$(elem).stop().slideToggle(duration, callback);
						$this.removeClass('open');
					}
				},
				defaults = {
					menuSpeed: 50,
					callback: function(){}
				},
				options = $.extend({}, defaults, opts);
			$(window).resize(function(){
				wi = $(this).width();
				if (wi >= 960) {
					$this.removeClass('open');
				}
			});
			$('.re-order').on('click', function(){
				$this.toggleClass('open');
			});
			return selector.each(function(){
				t = $(this);
				t.find('ul').parent('li').addClass('parent');
				if ($(this).hasClass('parent')){
					$(this).hover(function(){
						subMenu = $(this).children('ul');
						animateMenu(subMenu, options.menuSpeed, options.callback);
					});
				}
			});
		};
	})(jQuery);
 
